Bug 113305 - CAN-2003-0700 CMedia additional get_user issues
Summary: CAN-2003-0700 CMedia additional get_user issues
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 2.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jason Baron
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-12 13:13 UTC by Mark J. Cox
Modified: 2013-03-06 05:56 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-03 20:02:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2004:044 normal SHIPPED_LIVE Moderate: kernel security update 2004-02-03 05:00:00 UTC

Description Mark J. Cox 2004-01-12 13:13:17 UTC
CAN-2003-0700 The C-Media PCI sound driver in Linux before 2.4.22 does
not use the get_user function to access userspace, which crosses
security boundaries and may facilitate the exploitation of
vulnerabilities (not the same as CAN-2003-0699)

http://linux.bkbits.net:8080/linux-2.4/cset@alan@lxorguk.ukuu.org.uk|ChangeSet|20030702213852|13940
[hence fixed in 2.4.22]

This was fixed in ipf in RHSA-2003:368 but doesn't appear to have been
fixed for x86 (EL2.1 AS/WS/ES i386)

Comment 1 Mark J. Cox 2004-02-03 20:02:02 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-044.html



Note You need to log in before you can comment on or make changes to this bug.